sampler2D Tex0;

//#define ALPHA

float ZNear;
float InvZRange;

struct PS_INPUT{
	float Depth			: TEXCOORD0;
	
#ifdef ALPHA
	float2 Tex0			: TEXCOORD1;
#endif
};

struct PS_OUTPUT{
	float4 Color			: COLOR;
};

#include "dcOutputPos.HLSL"

PS_OUTPUT main(const PS_INPUT Input){
	float4 Color = Input.Depth;
	
#ifdef ALPHA
	Color.a = tex2D(Tex0, Input.Tex0).a;
#endif
	//Color.a = 1;
	
	PS_OUTPUT Out;
	Out.Color = Color;
	return Out;
}
